Jump to content

Canada's top-tier Telescopes & Accessories
Be as specific as possible when reporting issues and *ALWAYS* include the full version number of the application you are using and your exact *CAMERA MODEL*
NEVER POST YOUR KEY IN ANY PUBLIC FORUM, INCLUDING THE O'TELESCOPE SUPPORT FORUM ::: IF YOU DO YOUR KEY WILL BE DEACTIVATED WITHOUT NOTICE!
  • 0

BYE and Pegasus Astro focus Controler issue


ptrcktrcht52
 Share

Question

Dear Sir,

I have just acquired a Pegasus Astro Focus Controler. I loaded the last driver for this accessory on the manufacturer website..

I cannot use with BYE. When I want to set the driver to "Pegasus Astro Focus Controler" a popup window mentionned that the driver is not correct :

  • Incompatible Driver (ASCOM PegasusAstro.Focuser)
  • PEReader Exception, please check ASCOM application Event Log for details

I dont know how to check the ASCOM application event log 

Best regards

 

P. Trochet

 

 

Ascom.jpg

Link to comment
Share on other sites

  • Answers 3
  • Created
  • Last Reply

Top Posters For This Question

Popular Days

Top Posters For This Question

Posted Images

3 answers to this question

Recommended Posts

  • 0

This is an ASCOM driver issue, not a BYE issue. You should report it to Pegasus Astro, or ask your question through their support channel.

That said, I downloaded and installed the driver. I was able to display the Setup Dialog for the focuser driver from BYE's Focuser Setup button, but did not try to connect since I don't have a a PA focuser.

Link to comment
Share on other sites

  • 0

That may not be necessary. For example if the driver is a local server, or if it is a regular DLL-based driver which is built to run for Any CPU, the bitness of the driver does not have to match that of BYE.

My Windows is 64-bit, and BYE is 32-bit. That combo appeared to work just fine. 

There was a problem with ASCOM that was addressed a few years ago as a result of Microsoft changing their Portable Executable file format that caused a PEReader problem. So if the OP is running an old version of ASCOM they should upgrade to at least Platform 6.4 SP1. I am running a pre-release version of Platform 6.5.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share


×
×
  • Create New...

Important Information

This site uses cookies to offer your a better browsing experience. You can adjust your cookie settings. By closing this banner, scrolling this page, clicking a link or continuing to browse otherwise, you agree to the use of cookies, our Privacy Policy, and our Terms of Use